# 联系方式

- 姓名：刘爽/男/1997/Java
- 学历：大专/合肥经济技术职业学院
- 电话：17730014137（微信同号）
- 邮箱：jkwlstv@outlook.com

# 个人网站

在线简历支持下面的超链接跳转：http://117.50.220.191:8418/doc/me

- <a target='_blank' href='http://117.50.220.191:8418/doc/me/src/branch/main/SpringAI/0_%E4%BD%BF%E7%94%A8SpringAI%E6%8E%A5%E5%85%A5AI%E6%A8%A1%E5%9E%8B.md'>使用spring ai构建AI大模型应用</a>
- <a href='http://117.50.220.191:8418/doc/me/src/branch/main/JFR' target='_blank'>JFR持续监控Java运行时状态</a>

# 技能清单

- 我具有良好的沟通协作能力、良好的编码习惯、丰富的排障经验
- 理解MySQL的B+Tree索引结构设计的好处，了解MVCC的工作机制
- 能在合适的业务场景下使用Redis缓存
- 能合理的利用Redisson封装的分布式锁API保障分布式环境下的线程安全
- 有通过RocketMQ构建高吞吐服务的架构设计经验
- 有Seata分布式事务中间件和RocketMQ事务消息与项目集成的落地经验
- 熟悉ShardingJDBC分库分表的使用
- 能用Shell脚本在Linux环境下发布应用
- 了解docker和k8s，会基本的Dockerfile编写
- 熟悉Prometheus、Skywalking观测并排查生产环境中的问题
- 能用 vue、elementui 开发简单的web前端页面

# 工作经历

## 上海兴岩科技有限公司（2023/07~2025/03）

- 职位：Java开发
- 技术栈：MySQL、Redis、Kafka、Nacos、Feign、Spring Boot、Spring Cloud、Activity、ShardingJDBC
- 工作内容：参与迭代需求评审、文档编写、代码开发、单元测试、问题排查及修复

## 江苏普飞科特信息科技有限公司（2019/07~2023/05）

- 职位：开发组长（5人）
- 技术栈：MySQL、Redis、Rocket MQ、Nacos、Apollo、Feign、Seata、Spring Boot、Spring Cloud
- 工作内容：
  + 参与迭代需求评审、编写技术方案文档、协调各方并带领小组完成开发任务，以及生产环境的故障巡查及修复
  + 集成分布式事务中间件，Seata和 Rocket MQ 事务消息，由于Seata 的 AT 模式基于 MySQL 表记录前后SQL快照，所以并发量不高，引入 Rocket MQ 事务消息提高吞吐量
  + Rocket MQ 除了用于分布式事务还用于服务间异步通信，以及时序数据的数据同步，比如结合canal订阅MySQL的binlog同步到ES
  + 利用 Rocket MQ、MySQl、Redis、多线程等技术，构建稳定高效的消息中心服务。主要包含邮件、短信、外呼电话、隐私号、APP推送
  + 接入 Prometheus、SkyWalking 监测服务运行时状态

## 上海柏维信息技术有限公司（2017/05~2019/06）

- 职位：Java开发
- 技术栈：Activity、MySQL、Oracle、Redis、Bootstrap、jQuery、SpringMVC
- 工作内容：参与日常迭代开发和相关文档的编写，按时完成领导交办的任务